#372 CRITICAL:core:ip_addr2a: unknown address family 0

trunk
closed-invalid
Anca Vamanu
None
3
2011-08-24
2011-04-26
Anonymous
No

Hi Bogdan,

This issue seems to be related to the following bug:
https://sourceforge.net/tracker/?func=detail&atid=1086410&aid=3164711&group_id=232389

I'm doing the B2B top hiding scenario. All my modules are built based on one of the latest trunks --- for sure they are newer than the time when you add the "Fixed" status to the previous bug report :)

In my B2B proxy I have:

local_route {
$var(enable_nat) = 1;
$var(debug_level) = 3;

if ($var(debug_level) > 2) { xlog("[leg2][$si]=========LOCAL_ROUTE ($rm - $rr) - CallID=$ci=========\n"); }
if (is_method("INVITE")) {
fetch_dlg_value("testdlg","$avp(s:call_setup)");
cache_store("memcached_local","b2b_call_info_$ci","$avp(s:call_setup)",14400);

exit;
}
else if (is_method("ACK") && $ci=~"B2B\.[0-9]+\.[0-9]+") {
# start billing
route(19);
}
else if (is_method("BYE") && $ci=~"B2B\.[0-9]+\.[0-9]+" && src_ip=='1.1.1.1') {
# end billing
route(91);
}
}

After running over 300 calls, suddenly my B2B instance died last night... and there were blood everywhere :)
I have added is_method("BYE") few days ago. Before that, since I put it in production 1 month ago, the B2B was running just fine.

Here is the log I found (B2B = leg2):

Apr 26 05:58:46 ineeddids os[16371]: [leg1](INVITE - <null>)----- ROUTE[1] -> t_relay SUCCESS
Apr 26 05:58:46 ineeddids os[16414]: [leg2][1.1.1.1]=========LOCAL_ROUTE (INVITE - <null>) - CallID=B2B.615.8054538=========
Apr 26 05:58:55 ineeddids os[16419]: CRITICAL:core:ip_addr2a: unknown address family 0
Apr 26 05:58:55 ineeddids kernel: [2291485.324537] opensips[16419]: segfault at 0 ip 00007f32c0d75e52 sp 00007fff0da362e8 error 4 in libc-2.12.1.so[7f32c0cf3000+17a000]

Please advise.

Thanks
-- Kamen

Discussion

  • Anca Vamanu
    Anca Vamanu
    2011-04-27

    Hi Kamen,

    The obvious problem is that you are using dialog with B2B - it does not work right ( I have now written this in the documentation also ). But let's see exactly where this crash occurs. If you get a core file, can you please investigate it with gdb and print here the backtrace?

    Regards,
    Anca

     
  • Anca Vamanu
    Anca Vamanu
    2011-04-27

    • assigned_to: nobody --> anca_vamanu
     

  • Anonymous
    2011-04-27

    • milestone: --> trunk
    • priority: 5 --> 3
    • status: open --> open-accepted
     

  • Anonymous
    2011-04-27

    Hi Anca,

    Thank you once again for your prompt response.

    Tracing the calls deeply, brought me to very strange behavior from the B2B instance. For example, I have been seeing ACKs like \0x00\0x00...... :)

    I have removed the dialog,nathelper and usrloc modules and implemented what I need with the other available options and tools.

    I can clearly say the noticed issues are now gone.

    I will play with it a bit longer and let you know if something crash again :)

    Thanks
    -- Kamen

     
  • Anca Vamanu
    Anca Vamanu
    2011-08-24

    • status: open-accepted --> closed-invalid